gov.ornl.mercury3.services

## Class MercuryRateusId

- java.lang.Object
- - gov.ornl.mercury3.services.AbstractMercuryRateusId
  - - gov.ornl.mercury3.services.MercuryRateusId

- All Implemented Interfaces:
    Serializable

      public class MercuryRateusId
      extends AbstractMercuryRateusId
      implements Serializable

  MercuryRateusId entity.
  Author:
    MyEclipse Persistence Tools
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MercuryRateusId()` default constructor
    `MercuryRateusId(Date rateDate, String instance)` minimal constructor
    `MercuryRateusId(String name, Date rateDate, String instance, String link, String remote, String browser, String affiliation, String country, String email, String responseOne, String commentOne, String responseTwo, String commentTwo, String commentThree, String responseText)` full constructor

  - ### Method Summary

    - ### Methods inherited from class gov.ornl.mercury3.services.AbstractMercuryRateusId

      `equals, getAffiliation, getBrowser, getCommentOne, getCommentThree, getCommentTwo, getCountry, getEmail, getInstance, getLink, getName, getRateDate, getRemote, getResponseOne, getResponseText, getResponseTwo, hashCode, setAffiliation, setBrowser, setCommentOne, setCommentThree, setCommentTwo, setCountry, setEmail, setInstance, setLink, setName, setRateDate, setRemote, setResponseOne, setResponseText, setResponseTwo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MercuryRateusId

          public MercuryRateusId()

      default constructor

    - #### MercuryRateusId

          public MercuryRateusId(Date rateDate,
                         String instance)

      minimal constructor

    - #### MercuryRateusId

          public MercuryRateusId(String name,
                         Date rateDate,
                         String instance,
                         String link,
                         String remote,
                         String browser,
                         String affiliation,
                         String country,
                         String email,
                         String responseOne,
                         String commentOne,
                         String responseTwo,
                         String commentTwo,
                         String commentThree,
                         String responseText)

      full constructor

Copyright © 2016. All rights reserved.